Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 155158 - Generated getters and setters name should change only the first letter of the field name
Generated getters and setters name should change only the first letter of the...
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Editor
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Petr Pisl
issues@php
65fixes2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 16:30 UTC by Petr Pisl
Modified: 2009-02-19 22:52 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2008-12-10 16:30:43 UTC
Based on a user feedback:
http://blogs.sun.com/netbeansphp/entry/generating_getters_and_setters_improved#comment-1228897146000

private $myVar;

I would expect the name of the getter/setter to be:

public getMyVar();
public setMyVar();

Currently it seems to only do getMyvar and setMyvar
Comment 1 Petr Pisl 2008-12-12 13:51:58 UTC
Should be simple fix.
Comment 2 Petr Pisl 2008-12-12 14:49:17 UTC
Fixed in the trunk. It can be integrated in the next patch for NB 6.5
Comment 3 Quality Engineering 2008-12-13 17:00:20 UTC
Integrated into 'main-golden', will be available in build *200812131401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/6b84d3901b48
User: Petr Pisl <ppisl@netbeans.org>
Log: #155158 - Generated getters and setters name should change only the first letter of the field name
Comment 4 Mikhail Matveev 2008-12-23 17:51:10 UTC
Marking as fixed (it seems that Petr barely missed doing that).
Comment 5 Mikhail Matveev 2008-12-23 17:51:35 UTC
Verified
Comment 6 jinb 2009-01-08 14:16:23 UTC
fix backported into release65_fixes branch
http://hg.netbeans.org/release65_fixes/rev/87c045baf05e
Comment 7 Victoria Zhukovskaya 2009-01-21 13:31:38 UTC
verified 65fixes2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo